import { StyleSheet } from 'react-native';
import Constants from 'expo-constants';

const Fonts = {
    Subtitle: 'PopupAdviceSemiBold',
    Button: 'PopupAdviceBold',
    Note: 'PopupAdviceRegular',
}

export const popupStyles = StyleSheet.create({

    popupBox: {
        backgroundColor: '#fff',
        justifyContent: 'center',
        height: 'auto',
        marginTop: Constants.statusBarHeight + 10,
        marginBottom: 20,
        overflow: 'visible',
        borderRadius: 5
    },

    smallPopupBox: {
        maxWidth: 270,
        marginLeft: 'auto',
        marginRight: 'auto'
    },

    popupBoxContainer: {
        paddingLeft: 20,
        paddingRight: 20,
        paddingBottom: 20,
        paddingTop: 20
    },

    popupText: {
        fontSize: 12,
        fontFamily: Fonts.Note,
        color: '#858585',
        textAlign: 'left'
    },

    iconContainer: {
        alignItems: 'center',
    },

    icon: {
        color: '#00afca',
        fontSize: 18,
        paddingLeft: 5,
        paddingTop: 3
    },

    popupTextError: {
        textAlign: 'center'
    },

    popupCloseButton: {
        backgroundColor: '#000',
        zIndex: 9999,
        position: 'absolute',
        top: -15,
        right: -15,
        width: 29,
        height: 29,
        borderRadius: 360,
        alignItems: 'center',
        justifyContent: 'center'
    },

    popupCloseIcon: {
        color: '#fff',
        textAlign: 'right',
        fontSize: 22
    },

    popupCloseIconLeft: {
        textAlign: 'left'
    },

    popupTitle: {
        marginBottom: 10,
        fontFamily: Fonts.Subtitle,
        fontSize: 19,
        color: '#00afca',
        textAlign: 'center',
        lineHeight: 24
    },

    popupTitleGreen: {
        color: '#00cc66'
    },

    popupIcon: {
        color: '#00afca',
        fontSize: 22,
    },

    popupIconGreen: {
        color: '#00cc66'
    },

    popupFilterFormContent: {
        position: 'relative',
    },

    okBtnBox: {
        backgroundColor: '#00afca',
        bottom: 0,
        zIndex: 80,
        left: 0,
        borderRadius: 5,
        paddingTop: 8,
        paddingBottom: 8,
        paddingLeft: 12,
        paddingRight: 12,
        marginTop: 20,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center'
    },

    okBtnText: {
        fontSize: 15,
        fontFamily: Fonts.Button,
        color: 'white',
    },

    okBtnTextArabic: {
        fontSize: 19,
        fontFamily: Fonts.Button,
        color: 'white',
    },

    okBtnBoxPermissions: {
        marginLeft: 7,
        marginRight: 7
    },

    marginNeg: {
        marginTop: -3
    },

    popupTextAreaFields: {
        height: 90,
        textAlignVertical: 'top'
    },

    col12: {
        width: '100%'
    },

    greyText: {
        color: '#858585'
    },

    alignCenter: {
        alignItems: 'center'
    },

    row: {
        flexDirection: 'row'
    },

    okBtnBox: {
        bottom: 0,
        zIndex: 80,
        left: 0,
        borderRadius: 360,
        paddingTop: 8,
        paddingBottom: 8,
        paddingLeft: 20,
        paddingRight: 20,
        marginTop: 20,
        width: '100%',
        alignItems: 'center',
        justifyContent: 'center'
    },

    okBtn: {
        padding: 4,
        display: 'flex',
        borderRadius: 360,
        backgroundColor: '#0e8fcf',
        width: '100%',
        alignItems: 'center',
        marginTop: 20
    },

    okBtnText: {
        fontFamily: Fonts.Button,
        fontSize: 16,
        marginTop: 3,
        color: '#fff'
    },

    scrollStyle: {
        borderRadius: 5,
        backgroundColor: '#fff'
    }
});

export default popupStyles